## qmlglsink

qmlglsink

## Properties

gboolean | force-aspect-ratio | Read / Write
GstFraction | pixel-aspect-ratio | Read / Write
gpointer | widget | Read / Write

## Types and Values

struct | GstQtSink

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstBaseSink
                        ╰── GstVideoSink
                            ╰── GstQtSink

## Description

## Synopsis

### Element Information

plugin | qmlgl
author | Matthew Waters <matthew@centricular.com>
class | Sink/Video

### Element Pads

name | sink
direction | sink
presence | always
details | video/x-raw(memory:GLMemory), format=(string)RGBA, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ], texture-target=(string)2D

## Functions

## Types and Values

### struct GstQtSink

    struct GstQtSink;

Opaque GstQtSink object

## Property Details

### The `“force-aspect-ratio”` property

      “force-aspect-ratio”       gboolean

When enabled, scaling will respect original aspect ratio.

Owner: GstQtSink

Flags: Read / Write

Default value: TRUE

### The `“pixel-aspect-ratio”` property

      “pixel-aspect-ratio”       GstFraction

The pixel aspect ratio of the device.

Owner: GstQtSink

Flags: Read / Write

### The `“widget”` property

      “widget”                   gpointer

The QQuickItem to place in the object hierarchy.

Owner: GstQtSink

Flags: Read / Write